/* CSS Variables */
:root {
    --primary: #ddd;
    --dark: #333;
    --light: #fff;
    --shadow: 0 1px 5px rgba(104, 104, 104, 0.8);
  }
  
  html {
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--dark);
  }
  
  body {
    background: #ccc;
    margin: 30px 50px;
    line-height: 1.4;
  }
  
  .add-cart {
    background: var(--dark);
    color: var(--light);
    padding: 0.6rem 1.3rem;
    text-decoration: none;
    border: 0;
  }
  
  img {
    max-width: 100%;
  }
  
  .wrapper {
    display: grid;
    grid-gap: 20px;
  }
  
  /* Navigation */
  .main-nav ul {
    display: grid;
    grid-gap: 20px;
    padding: 0;
    list-style: none;
    grid-template-columns: repeat(3, 1fr);
  }
  
  .main-nav a {
    background: var(--primary);
    display: block;
    text-decoration: none;
    padding: 0.8rem;
    text-align: center;
    color: var(--dark);
    text-transform: uppercase;
    font-size: 1.1rem;
    box-shadow: var(--shadow);
  }
  
  .main-nav a:hover {
    background: var(--dark);
    color: var(--light);
  }
  
  
  /* Boxes */
  .boxes {
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  }
  
  .box {
    background: var(--primary);
    text-align: center;
    padding: 1.5rem 2rem;
    box-shadow: var(--shadow);
  }

  .box h1{
    font-size: 18px;
  }
  
  .box p{
    font-size: 15px;
  }

  /* Footer */
  footer {
    margin-top: 2rem;
    background: var(--dark);
    color: var(--light);
    text-align: center;
    padding: 1rem;
  }
  
  /* Media Queries */
  @media (max-width: 700px) {
    .top-container {
      grid-template-areas:
        'showcase showcase'
        'top-box-a top-box-b';
    }
  
    .showcase h1 {
      font-size: 2.5rem;
    }
  
    .main-nav ul {
      grid-template-columns: 1fr;
    }
  
    .info {
      grid-template-columns: 1fr;
    }
  
    .info .btn {
      display: block;
      text-align: center;
      margin: auto;
    }
  }
  
  @media (max-width: 500px) {
    .top-container {
      grid-template-areas:
        'showcase'
        'top-box-a'
        'top-box-b';
    }
  }
  